Connect

List Linked Instagram Accounts for Pending Connect

Lists the Instagram professional accounts linked to the user's Facebook Pages. Use it after connecting Instagram with loginMethod set to facebook_login, and send the tempToken returned to your redirect URL.

GET
/v1/connections/oauth/instagram/accounts

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Query Parameters

tempToken*string
Length1 <= length

Response Body

Selectable Instagram accounts

application/json
  1. response
accounts*array<>
Example Request
import { Configuration, ConnectionsApi } from "@onepostly/sdk";const connectionsApi = new ConnectionsApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await connectionsApi.listInstagramAccounts({  tempToken: "temp_abc123",});console.log(response);
Example Response
{  "accounts": [    {      "pageId": "123456789012345",      "pageName": "Onepostly",      "instagramAccountId": "17841400008460056",      "username": "onepostly",      "name": "Onepostly",      "profilePictureUrl": "https://cdn.onepostly.com/avatars/onepostly.jpg"    }  ]}